Name:          python-fonttools
Version:       4.55.0
Release:       1mamba
Summary:       A tool to convert OpenType and TrueType fonts to and from XML
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/fonttools/fonttools
Source:        https://pypi.debian.net/fonttools/fonttools-%{version}.tar.gz
Patch0:        python-fontTools-2.2-python-2.6.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-numpy-py3

%description
TTX is a tool to convert OpenType and TrueType fonts to and from XML. FontTools is a library for manipulating fonts, written in Python. It supports TrueType, OpenType, AFM and to an extent Type 1 and some Mac-specific formats.

%if "%{?with_pyver}"
%if "%{?with_pyver}" == "3"
%define py_requires_append \
Obsoletes:     python-fontTools <= 4.39.4-1mamba
%endif
%pyver_package
%endif

%prep
%setup -q -n fonttools-%{version}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/{ttx,fonttools,pyftmerge,pyftsubset}; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
mv %{buildroot}%{_mandir}/man1/ttx{,-%{?pyappend}}.1
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/ttx*
%{_bindir}/fonttools*
%{_bindir}/pyftmerge*
%{_bindir}/pyftsubset*
%dir %{python_sitearch}/fonttools-%{version}-py*.egg-info
%{python_sitearch}/fonttools-%{version}-py*.egg-info/*
%dir %{python_sitearch}/fontTools
%{python_sitearch}/fontTools/*
%attr(0644,root,root) %{_mandir}/man1/ttx*.1*
%doc LICENSE LICENSE.external

%changelog
* Fri Nov 15 2024 Automatic Build System <autodist@openmamba.org> 4.55.0-1mamba
- automatic version update by autodist

* Wed Sep 25 2024 Automatic Build System <autodist@openmamba.org> 4.54.1-1mamba
- automatic version update by autodist

* Tue Sep 24 2024 Automatic Build System <autodist@openmamba.org> 4.54.0-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 4.53.1-1mamba
- automatic version update by autodist

* Sat Jun 01 2024 Automatic Build System <autodist@openmamba.org> 4.53.0-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 4.52.4-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 4.52.1-1mamba
- automatic version update by autodist

* Sun Apr 07 2024 Automatic Build System <autodist@openmamba.org> 4.51.0-1mamba
- automatic version update by autodist

* Sun Mar 17 2024 Automatic Build System <autodist@openmamba.org> 4.50.0-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 4.49.0-1mamba
- automatic version update by autodist

* Wed Feb 07 2024 Automatic Build System <autodist@openmamba.org> 4.48.1-1mamba
- automatic version update by autodist

* Thu Jan 11 2024 Automatic Build System <autodist@openmamba.org> 4.47.2-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 4.47.0-1mamba
- automatic version update by autodist

* Sat Dec 02 2023 Automatic Build System <autodist@mambasoft.it> 4.46.0-1mamba
- automatic version update by autodist

* Fri Nov 24 2023 Automatic Build System <autodist@mambasoft.it> 4.45.1-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 4.45.0-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 4.44.3-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 4.44.1-1mamba
- automatic version update by autodist

* Tue Nov 07 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.44.0-1mamba
- update to 4.44.0

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 4.39.4-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Sep 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.39.4-2mamba
- renamed from python-fontTools and added python 3.10 package

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 4.39.4-1mamba
- automatic version update by autodist

* Wed Mar 29 2023 Automatic Build System <autodist@mambasoft.it> 4.39.3-1mamba
- automatic version update by autodist

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 4.39.2-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 4.39.0-1mamba
- automatic version update by autodist

* Sat Oct 22 2022 Automatic Build System <autodist@mambasoft.it> 4.38.0-1mamba
- automatic version update by autodist

* Sat Oct 01 2022 Automatic Build System <autodist@mambasoft.it> 4.37.4-1mamba
- automatic version update by autodist

* Thu Sep 22 2022 Automatic Build System <autodist@mambasoft.it> 4.37.3-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 4.37.2-1mamba
- automatic version update by autodist

* Thu Aug 25 2022 Automatic Build System <autodist@mambasoft.it> 4.37.1-1mamba
- automatic version update by autodist

* Wed Aug 24 2022 Automatic Build System <autodist@mambasoft.it> 4.37.0-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 4.36.0-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Automatic Build System <autodist@mambasoft.it> 4.35.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 4.34.4-1mamba
- automatic version update by autodist

* Wed Apr 27 2022 Automatic Build System <autodist@mambasoft.it> 4.33.3-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 4.33.2-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 4.33.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2022 Automatic Build System <autodist@mambasoft.it> 4.32.0-1mamba
- automatic version update by autodist

* Wed Mar 23 2022 Automatic Build System <autodist@mambasoft.it> 4.31.2-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 4.31.1-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 4.31.0-1mamba
- automatic version update by autodist

* Fri Mar 11 2022 Automatic Build System <autodist@mambasoft.it> 4.30.0-1mamba
- automatic version update by autodist

* Tue Feb 01 2022 Automatic Build System <autodist@mambasoft.it> 4.29.1-1mamba
- automatic version update by autodist

* Tue Jan 25 2022 Automatic Build System <autodist@mambasoft.it> 4.29.0-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 4.28.5-1mamba
- automatic version update by autodist

* Thu Dec 16 2021 Automatic Build System <autodist@mambasoft.it> 4.28.4-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 4.28.3-1mamba
- automatic version update by autodist

* Mon Nov 22 2021 Automatic Build System <autodist@mambasoft.it> 4.28.2-1mamba
- automatic version update by autodist

* Tue Nov 09 2021 Automatic Build System <autodist@mambasoft.it> 4.28.1-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 4.28.0-1mamba
- automatic version update by autodist

* Fri Sep 24 2021 Automatic Build System <autodist@mambasoft.it> 4.27.1-1mamba
- automatic version update by autodist

* Tue Sep 14 2021 Automatic Build System <autodist@mambasoft.it> 4.27.0-1mamba
- automatic version update by autodist

* Mon Aug 09 2021 Automatic Build System <autodist@mambasoft.it> 4.26.2-1mamba
- automatic version update by autodist

* Thu Aug 05 2021 Automatic Build System <autodist@mambasoft.it> 4.26.1-1mamba
- automatic version update by autodist

* Tue Jul 27 2021 Automatic Build System <autodist@mambasoft.it> 4.25.2-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Automatic Build System <autodist@mambasoft.it> 4.25.1-1mamba
- automatic version update by autodist

* Mon Jul 05 2021 Automatic Build System <autodist@mambasoft.it> 4.25.0-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 4.24.4-1mamba
- automatic version update by autodist

* Fri May 21 2021 Automatic Build System <autodist@mambasoft.it> 4.24.3-1mamba
- automatic version update by autodist

* Thu May 20 2021 Automatic Build System <autodist@mambasoft.it> 4.24.2-1mamba
- automatic version update by autodist

* Thu May 20 2021 Automatic Build System <autodist@mambasoft.it> 4.24.1-1mamba
- automatic version update by autodist

* Mon May 17 2021 Automatic Build System <autodist@mambasoft.it> 4.24.0-1mamba
- automatic version update by autodist

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 4.23.1-1mamba
- automatic version update by autodist

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 4.23.0-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Automatic Build System <autodist@mambasoft.it> 4.22.1-1mamba
- automatic version update by autodist

* Thu Apr 01 2021 Automatic Build System <autodist@mambasoft.it> 4.22.0-1mamba
- automatic version update by autodist

* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 4.21.1-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 4.20.0-1mamba
- automatic version update by autodist

* Tue Feb 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.19.1-1mamba
- update to 4.19.1

* Mon Dec 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.18.0-1mamba
- update to 4.18.0

* Mon Jul 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4-2mamba
- remove an obsolete specfile sed to fix ttx command
- fix man pages permissions

* Fri Jun 28 2013 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-3mamba
- python 2.7 mass rebuild

* Fri Feb 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- provide/obsolete duplicated package fonttools

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-3mamba
- added a patch to fix a syntax error with python 2.6

* Thu Oct 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-2mamba
- renamed from python-fonttools to python-fontTools; rebuilt in devel with python 2.6

* Sat May 09 2009 gil <puntogil@libero.it> 2.2-1mamba
- package created by autospec
